# WSUniversalLib - Библиотека для расчета сырия

Данная библиотека разработана для того чтобы в производстве могли быстро и одинаково рассчитывать количество необходимого сырья.

Метод библиотек должен рассчитывать целое количество сырья, необходимого для производства определенного количества (count) продукции, учитывая возможный брак материалов. Для упрощения расчетов будем считать всю продукцию прямоугольного размера с известными значениями ширины (width) и длины (length)

В проект также добавлены модули для тестирования функционала.

## Начало работы

Для начала работы с данной библиотекой скачайте архив (.zip или др.) или склонируйте [Репозиторий](http://gogs.ngknn.local:3000/CryDeveloper/WSUniversalLib) 

### Необходимые условия

Для установки данного проекта необходимо:
1. IDE

```
Напрмер, VisualStusio, Rider или Visual Studio Code
```
2. ASP.NET Framework (минимим 4.8)
3. Windows 10

### Установка

Выполните шаг из "Начало работы". После, библиотеку можно будет присоеденить к другим проектам.
Библиотека не работает без сторонних программ.
```
1. Проект с библиотекой можно прикрепить к другому проекту. Например, в VisualStusio - "Добавить - существующий проект"
2. Можно скопировать файлы библиотеки в свой проект. Нужные файлы лежат по пути "\WSUniversalLib\WSUniversalLib\bin\Debug". 
```

Для запуска модульных тестов:
```
Напрмер, в VisualStusio:
1. Нажмите ПКМ в обозревателе решенй по проекту WSUniversalLib.UnitTest
2. В выпавшем меню нажмите "Выполнить тесты"
3. Подождите, когда выполнятся  тесты и посмотрите результат.
```

## Авторы

* **Таран Анжелика** - *TestSessionLib* - [CryDeveloper](http://gogs.ngknn.ru:3000/CryDeveloper)
